apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "600"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "600"
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
  labels:
    app.kubernetes.io/component: attic
  name: attic
  namespace: attic
spec:
  ingressClassName: nginx
  rules:
  - host: attic.srv.oceanbox.io
    http:
      paths:
      - backend:
          service:
            name: attic
            port:
              name: http
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - attic.srv.oceanbox.io
    secretName: attic.srv.oceanbox.io-tls
